a {
  color: red;
  font-weight: bold;
}

a:hover {
  background: yellow;
}

.separate td {
  border-top: 2px solid black !important;
}

#Data td {
  height: 2em;
}

#Data td:nth-child(3) {
  min-width: 8em;
}

#Data tr:not(.separate) td:nth-child(5) {
  color: silver;
}

h2 {
  font-size: 110%;
}

.nonpaying {
  float: right;
  background: lightyellow;
  padding: 1em;
  border: 1px solid #666;
}

#NonPaying td:nth-child(-n + 2) {
  background: #eee;
  height: 1.5em;
}

#NonPaying tr > *:nth-child(3) {
  border-left: 1px solid black;
}

#Spinner {
  display: none;
}

#Data button {
  width: 100%;
}

#Data td:nth-child(8) {
  vertical-align: top;
  padding: 0.5em;
}

#Data button:hover {
  background: lightyellow;
}

#Scan {
  height: 3em;
}

#Spinner {
  height: 1.5em;
  vertical-align: middle;
}

#Data td:nth-child(9):empty {
  background: yellow;
}

#Data td[rowspan]:after {
  content: '';
  position: absolute;
  width: 10000px;
  height: 100%;
  top: 0;
  left: -1000px;
  zz-index: -1;
}

#Data td[rowspan]:hover:after {
  background: yellow;
  opacity: 0.2;
}

#Data table {
  background: transparent !important;
}

#Data td[rowspan] {
  position: relative;
}

#Data table {
  overflow: hidden;
}

#Data a, #Data button {
  position: relative;
  z-index: 10;
}

#Data td {
  vertical-align: text-top;
  padding-top: 0.5em;
}

td.paid {
  background: lightgreen;
}

#Data td:nth-child(10) {
  background: #eee;
}

#Data td:nth-child(4), #Data td:nth-child(7) {
  max-width: 6em;
}

#Data td:nth-child(6) {
  max-width: 7em;
}

#Data td:nth-child(10) {
  max-width: 7em;
}

#Data tr:not(.separate) td {
  zoom: 0.9;
  color: silver;
  padding: 0.2em 0.5em;
  height: 0;
}

.selected {
  background: #dfd;
}

#Data tr > :nth-child(10) {
  display: none;
}